=== debian/changelog ===
print-manager (6:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Kcm: When adding a printer/group, allow the ability to set as default.
    - Revert "kcm: don't assign undefined to component".
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Point upstream source to invent git repo.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:42 +0200

print-manager (6:6.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:02:18 +0200
