=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf6windowsystem-dev (>= 6.14.0~),
                libkirigami-dev (>= 6.14.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.4.4~),
+               libplasma-dev (>= 6.4.5~),
                pkgconf,
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
