## print-manager 6.4.5+p24.04+vstable+git20250926.0953

=== debian/changelog ===
print-manager (5:6.4.5+p24.04+vstable+git20250926.0953-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:53:53 +0000

print-manager (5:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:42:45 +0000

print-manager (5:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:25:41 +0000
