## print-manager 6.5.0

=== debian/changelog ===
print-manager (6:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Make lintian overrides suitable for all architectures.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:01:02 +0200
