=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
@@ -31,7 +31,6 @@
 Homepage: https://apps.kde.org/en/print-manager
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
-Rules-Requires-Root: no
 
 Package: print-manager
 Architecture: any
