## print-manager 6.5.0+p24.04+vstable+git20251024.0243

=== debian/changelog ===
print-manager (5:6.5.0+p24.04+vstable+git20251024.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:43:50 +0000

print-manager (5:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:37:16 +0000
