=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.5.0~),
+               libplasma-dev (>= 6.5.1~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
