## print-manager 6.5.1+p24.04+vstable+git20251029.0752

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(print-manager)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
