=== debian/changelog ===
print-manager (5:6.5.1+p24.04+vstable+git20251029.0752-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:52:44 +0000

print-manager (5:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:05:32 +0000
