## print-manager 6.5.1+p24.04+vstable+git20251031.0927

=== debian/changelog ===
print-manager (5:6.5.1+p24.04+vstable+git20251031.0927-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:27:20 +0000
