=== src/kded/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
     PrintManagerKded.cpp
     NewPrinterNotification.h
     PrintManagerKded.h
+    MarkerLevelChecker.cpp
+    MarkerLevelChecker.h
 )
 
 qt_add_dbus_adaptor(printmanagerkded_SRCS
@@ -18,7 +20,7 @@
     Qt6::Core
     KF6::DBusAddons
     KF6::Notifications
-    kcupslib
+    kcups
 )
 
 ecm_qt_declare_logging_category(kded_printmanager
