## print-manager 6.5.4+p24.04+vstable+git20251231.0311

=== debian/changelog ===
print-manager (5:6.5.4+p24.04+vstable+git20251231.0311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:11:27 +0000

print-manager (5:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:43 +1000
