## print-manager 6.5.4+p24.04+vstable+git20260101.0147

=== debian/changelog ===
print-manager (5:6.5.4+p24.04+vstable+git20260101.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:47:35 +0000
