## print-manager 6.5.4+p24.04+vstable+git20260107.0945

=== debian/changelog ===
print-manager (5:6.5.4+p24.04+vstable+git20260107.0945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:45:33 +0000
