## print-manager 6.5.4+p24.04+vstable+git20260109.0256

=== debian/changelog ===
print-manager (5:6.5.4+p24.04+vstable+git20260109.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 02:56:26 +0000
