=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: print-manager
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                libcups2-dev (>= 2.4),
                libkf6config-dev (>= 6.18.0~),
@@ -15,7 +16,7 @@
                libkf6coreaddons-dev (>= 6.18.0~),
                libkf6dbusaddons-dev (>= 6.18.0~),
                libkf6i18n-dev (>= 6.18.0~),
-               libkf6iconthemes-dev (>= 6.10.0~),
+               libkf6iconthemes-dev (>= 6.18.0~),
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6kio-dev (>= 6.18.0~),
                libkf6notifications-dev (>= 6.18.0~),
@@ -23,14 +24,15 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.5.4~),
+               libplasma-dev (>= 6.5.5~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/print-manager
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
+Rules-Requires-Root: no
 
 Package: print-manager
 Architecture: any
