## print-manager 6.5.5+p24.04+vstable+git20260129.0116

=== debian/changelog ===
print-manager (5:6.5.5+p24.04+vstable+git20260129.0116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:16:29 +0000

print-manager (5:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:30:38 +1000
