## print-manager 6.5.5+p24.04+vstable+git20260130.0912

=== debian/changelog ===
print-manager (5:6.5.5+p24.04+vstable+git20260130.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:12:30 +0000
