## print-manager 6.5.5+p24.04+vunstable+git20260130.1357

=== debian/changelog ===
print-manager (5:6.5.5+p24.04+vunstable+git20260130.1357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:57:18 +0000
