## print-manager 6.5.5+p24.04+vunstable+git20260204.0059

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(print-manager)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.6.80")
 
-set(PROJECT_DEP_VERSION "6.4.90")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
