=== debian/changelog ===
print-manager (5:6.5.5+p24.04+vunstable+git20260204.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:59:13 +0000
