=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf6windowsystem-dev (>= 6.22.0~),
                libkirigami-dev (>= 6.22.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.2~),
                pkgconf,
                qt6-base-dev (>= 6.10.0~),
                qt6-declarative-dev (>= 6.10.0~),
